<template>
  <span class="sw-gs-icon sf-icon">
    <svg class="sf-icon-path"
         viewBox="0 0 24 24"
         preserveAspectRatio="none">
      <path fill="var(--icon-color)" d="M1.5 0C0.671573 0 0 0.671573 0 1.5V7.5C0 8.32843 0.671573 9 1.5 9C2.32843 9 3 8.32843 3 7.5V3H7.5C8.32843 3 9 2.32843 9 1.5C9 0.671573 8.32843 0 7.5 0H1.5Z"/>
      <path fill="var(--icon-color)" d="M1.5 24C0.671573 24 0 23.3284 0 22.5V16.5C0 15.6716 0.671573 15 1.5 15C2.32843 15 3 15.6716 3 16.5V21H7.5C8.32843 21 9 21.6716 9 22.5C9 23.3284 8.32843 24 7.5 24H1.5Z"/>
      <path fill="var(--icon-color)" d="M24 1.5C24 0.671573 23.3284 0 22.5 0H16.5C15.6716 0 15 0.671573 15 1.5C15 2.32843 15.6716 3 16.5 3H21V7.5C21 8.32843 21.6716 9 22.5 9C23.3284 9 24 8.32843 24 7.5V1.5Z"/>
      <path fill="var(--icon-color)" d="M22.5 24C23.3284 24 24 23.3284 24 22.5V16.5C24 15.6716 23.3284 15 22.5 15C21.6716 15 21 15.6716 21 16.5V21H16.5C15.6716 21 15 21.6716 15 22.5C15 23.3284 15.6716 24 16.5 24H22.5Z"/>
    </svg>
  </span>
</template>

<script lang="ts">
  export default {
    name: 'SwGsIconExpand'
  }
</script>
